# Inspiro #
**Contributors:** [WPZOOM](https://profiles.wordpress.org/WPZOOM)  
**Requires at least:** 5.2  
**Tested up to:** 5.8  
**Version:** 1.5.1  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  
**Tags:** one-column, right-sidebar, flexible-header, accessibility-ready, custom-colors, custom-header, custom-menu, custom-logo, editor-style, featured-images, footer-widgets, post-formats, rtl-language-support, sticky-post, theme-options, threaded-comments, translation-ready  

## Description ##

A professional Photo and Video focused theme with a modern design. Packed with features including a fullscreen custom header that supports YouTube, Vimeo & self-hosted videos in background, Inspiro is perfect for showing off your portfolio, images and videos.

For more information about Inspiro please go to https://wordpress.org/themes/inspiro/.

Please note:
More customization options & features are available in the paid version.

## Installation ##

1. In your admin panel, go to Appearance -> Themes and click the 'Add New' button.
2. Type in Inspiro in the search form and press the 'Enter' key on your keyboard.
3. Click on the 'Activate' button to use your new theme right away.
4. Go to https://www.wpzoom.com/documentation/inspiro-lite for a guide on how to customize this theme.
5. Navigate to Appearance > Customize in your admin panel and customize to taste.

## Copyright ##

Inspiro WordPress Theme, Copyright 2016-2021 WordPress.org
Inspiro is distributed under the terms of the GNU GPL

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

Inspiro bundles the following third-party resources:

jQuery scrollTo, Copyright 2007-2015 Ariel Flesler
License: MIT
Source: https://github.com/flesler/jquery.scrollTo

uisearch.js, Copyright 2013 Codrops
License: MIT
Sourse: http://www.codrops.com

jQuery Superfish Menu Plugin, 2013 Joel Birch
Dual licensed under the MIT and GPL licenses: http://www.opensource.org/licenses/mit-license.php, http://www.gnu.org/licenses/gpl.html
Sourse: https://superfish.joelbirch.design/

headroom.js, Copyright 2020 Nick Williams
License: MIT
Sourse: http://wicky.nillia.ms/headroom.js

jQuery FitVids, Copyright 2013 Chris Coyier
Released under the WTFPL license - http://sam.zoy.org/wtfpl/
Sourse: http://css-tricks.com + Dave Rupert - http://daverupert.com
Credit to Thierry Koblentz - http://www.alistapart.com/articles/creating-intrinsic-ratios-for-video/

classie.js, Copyright 2016 David DeSandro
License: MIT
Sourse: https://github.com/desandro/classie

typography.js, Copyright brainstormforce/astra
License: MIT
Sourse: https://github.com/brainstormforce/astra/blob/3282ea23bc1df3da42cad20091b7afd28d09a440/inc/customizer/custom-controls/typography/typography.js

selectWoo.js, Copyright WooCommerce
License: MIT
Sourse: https://github.com/woocommerce/selectWoo

normalize.css, Copyright 2012-2016 Nicolas Gallagher and Jonathan Neal
License: MIT
Source: https://necolas.github.io/normalize.css/

Code from Twenty Seventeen
Copyright (c) 2016-2021 WordPress.org
License: GPLv2
Source: https://wordpress.org/themes/twentyseventeen/
Included as part of the following classes and functions:
- Inspiro_SVG_Icons
- inspiro_the_theme_svg()
- inspiro_get_theme_svg()
- inspiro_dropdown_icon_to_menu_link()

Bundled header image, Enrapture Media
License: CC0 1.0 Universal (CC0 1.0)
Source: https://stocksnap.io/photo/sea-ocean-M6D1GS9PSL

Starter content image, Copyright Ishan @seefromthesky
License: CC0 1.0 Universal (CC0 1.0)
Source: https://stocksnap.io/photo/aerial-land-PU4RMD67KZ

Starter content image, Copyright Bonnie Moreland
License: CC0 1.0 Universal (CC0 1.0)
Source: https://stocksnap.io/photo/autumn-trees-WV0YTVMU7P

## Changelog ##

### 1.5.1 ###
* Improved migration process to Inspiro PRO theme

### 1.5.0 ###
* Added Elementor Integration. Thanks to Elementor Addons by WPZOOM plugin you can get access to a dozen of new templates & custom widgets
* Multiple bug fixes

### 1.4.1 ###
* Minor bug fix with the search form not closing

### 1.4.0 ###
* Added feature to easily migrate to Inspiro Premium and keep all settings
* Added option to make external header video responsive (Customize -> Homepage Media -> Media)
* Added typography settings for Logo in Customizer
* Multiple improvements and issues fixed in Customizer

### 1.3.4 ###
* Fixed duplicate "wp_head" tag in the header.php

### 1.3.3 ###
* Fix missing tags
* Fix link to Inspiro Premium on theme info page

### 1.3.2 ###
* Removed `jquery-fitvids.js` to use instead `add_theme_support( 'responsive-embeds' );`
* Fixed empty space above embed video in post
* Added `font-size` to `#scroll-to-content` to prevent issue when body font size is changed

### 1.3.1 ###
* Fixed video header autoplay on mobile
* Removed border around images with link

### 1.3.0 ###
* NEW: Typography options for Body, Headings, Menu, Hero Header
* Improvements and code refactor
* Fixed editor styles
* Fixed blurred hero header image when sidebar menu is open

### 1.2.8 ###
* Improvements to the starter content
* Visual improvements
* Bug fixes

### 1.2.7 ###
* Fixed header text appearing slow in hero header area
* Fixed image quality when is aligned wide or to full width
* Changed 'page_on_front' for starter content

### 1.2.6 ###
* Small change to the screenshot to reflect the new button

### 1.2.5 ###
* Added Call To Action button in header on homepage
* Added options for header button in Customizer -> Homepage Media -> Content
* Added options to change header button colors in Customizer -> Colors

### 1.2.4 ###
* Added admin notice to Dashboard

### 1.2.3 ###
* Added TGM Plugin Activation with a few recommended plugins

### 1.2.2 ###
* Initial release
